/* $RCSfile*/
/* CM Info:   
$Header: /home/chara/cvsroot/ople/sys/comm/io/periodicTargetGen.cc,v 1.1.1.1 1998/06/11 21:36:19 chara Exp $
*/
/* Richard Johnson - Jet Propulsion Laboratory */

/*
modification history
--------------------
01a2Sept97,rlj    written
*/

#include "periodicTargetGen.h"

/****
[[U tPeriodicTargetGenerator::tPeriodicTargetGenerator (void) ]]
****/
tPeriodicTargetGenerator::tPeriodicTargetGenerator () :

  /****
  [[U tModulationSource::tModulationSource (void) ]]
  ****/
  tModulationSource () { 
  
}

/****
[[U tPeriodicTargetGenerator::Update(tUpdateTime) ]]
****/
double tPeriodicTargetGenerator::Update(const TIME tUpdateTime) {

  double dTargetPos;
  
  /****
  [[U dTargetPos = tModulationSource::Update (tUpdateTime) ]]
  ****/
  dTargetPos = this->tModulationSource::Update (tUpdateTime);
  
  /****
  [[U this->Target = tDlTarget::tDlTarget (dTargetPos,0,tUpdateTime) ]]
  ****/
  this->Target = tDlTarget (dTargetPos,0,tUpdateTime);
  return dTargetPos;
  
}    

/****
[[U tPeriodicTargetGenerator::GetTarget (void) ]]
****/
tDlTarget tPeriodicTargetGenerator::GetTarget () {
  return this->Target;
}
