/* $RCSfile: dataStore.cc,v $ */
/* CM Info:   
$Header $
*/
/* Richard Johnson - Jet Propulsion Laboratory */

/*
modification history
--------------------
04a,8Sept97,rlj    written
*/

#include "dataStore.h"

/****
[[U tImageDataStore::tImageDataStore (iDataDumpTaskPriority, 
                                        iNumberOfDataElementsToUse, 
                                        tTypeTag& TypeTagToUse) ]]
****/
tImageDataStore::tImageDataStore (int iDataDumpTaskPriority, 
                                    int iNumberOfDataElementsToUse, 
                                    const tTypeTag& TypeTagToUse) :

  /**** 
  [[U tDataStore::tDataStore (iDataDumpTaskPriority, 
                              iNumberOfDataElementsToUse, 
                              tTypeTag& TypeTagToUse) ]]
  ****/
  tDataStore<tImage> (iDataDumpTaskPriority,iNumberOfDataElementsToUse, 
                       TypeTagToUse) {
}


/****
[[U tImageDataStore::~tImageDataStore (void) ]]
****/
tImageDataStore::~tImageDataStore () {

  /****
  [[U tDataStore::~tDataStore (void) ]]
  ****/

}


/****
[[U tImageDataStore::DumpToDataStream (void) ]]
****/
void tImageDataStore::DumpToDataStream () {

  int i;

    for (i = 0; i < this->iNumberOfDataElements; i++) {
       
      /****
      [[U tGizmo::SendData (this->DataTag,
        &this->DataBufferArrayArray [this->iCurrentReadBuffer][i]) ]]
      ****/
      tGizmo::SendData (this->DataTag,
        this->DataBufferArrayArray [this->iCurrentReadBuffer][i]);
    }
}
