#include "dl/dlControllerData.h"

tDlControllerData::tDlControllerData(const tTypeTag& DlDataTag,
                                     tDlStatus& DlStatus, double dLinearCartErrorPerLaserError) :
                                     
  CdLinearCartErrorPerLaserError (dLinearCartErrorPerLaserError),                                     
  dServoError (0.0),
  dMotorVelocity (0.0),
  dMotorServoError (0,0),
  LaserDataStore (CiDlDataDumpPriority, DL_DATA_BUF_LENGTH,
             CiDlJitterHpBlockSize, DlDataTag, DlStatus)
{ }

