/* $RCSfile: emIoSet.cc,v $ */
/* CM Info:   
$Header: /home/chara/cvsroot/ople/sys/gizmo/em/emIoSet.cc,v 1.1.1.1 1998/06/11 21:36:23 chara Exp $
*/
/* Richard Johnson - Jet Propulsion Laboratory */

/*
modification history
--------------------
04a28Aug97,rlj    written
*/

#include "isit.h"
#include "ipcid.h"
#include "em/emIoSet.h"
#include "inputSource.h"
#include "emGizmoInfo.h"

/****
[[U tEmCompleteIoSet::tEmCompleteIoSet (GizmoInfo) ]]
****/
tEmCompleteIoSet::tEmCompleteIoSet (const tEmGizmoInfo& GizmoInfo) :

  /****
  [[U this->TargetGenerator.tPeriodicTargetGenerator::
        tPeriodicTargetGenerator (void) ]]
  ****/
  TargetGenerator (),

  /****
  [[U this->DelayLineActuator.tDlActuator::
        tDlActuator (GizmoInfo.iiDlTargetId) ]]
  ****/
  DelayLineActuator (GizmoInfo.GetTargetId () ) {
}
  
 
/****
[[U tEmCompleteIoSet::~tEmCompleteIoSet (void) ]]
****/
tEmCompleteIoSet::~tEmCompleteIoSet () {}
