/* $RCSfile: DlChangeServoParam.cc,v $ -- cmd line routine to do clear laser counter */
/*
$Header: /home/chara/cvsroot/ople/sys/gui/DlChangeServoParam/DlChangeServoParam.cc,v 1.1.1.1 1998/06/11 21:36:25 chara Exp $
*/


#include "commonIncludes.h"

#include "mesg.h"
#include "msgq.h"
#include "isitUnix.h"
#include "isitCommand.h"
#include "common.h"
#include <stdlib.h>
#include <string.h>
#include <strings.h>


main(int argc, char **argv)
{

   FILE *fp;
   int qid;
   Mesg data;

   Data_buf buf;

   if (argc < 3)
   {
      printf("Usage: %s dl_num [good|bad]\n",argv[0]);
      exit(1);
   }
   
   if ( (qid = msgget(MKEY1, 0)) == -1)
   {
	printf("error in getting message queue id with key %d\n",MKEY1);
	exit(1);
   }

   if (strcasecmp(argv[2], "good") == 0)
      buf.value = GOOD;
   else if (strcasecmp(argv[2], "bad") == 0)
      buf.value = BAD;
   else
   {
      printf("Please select from [good|bad]\n");
      exit(1);
   }

   buf.com_cmd.genericCmd.Command = GSUDL_CMD_CHNG_SERVO_PARAM;
   buf.iGuiGizmoIndex = atoi(argv[1]);
   buf.gtGenericType = GT_DELAY_LINE;

   if ( (fp = fopen(FILENAME, "a")) == NULL)
   {
      fprintf(stderr,"error opening file\n");
      exit(1);
   }
   fwrite(&buf, sizeof(buf), 1, fp);
   fclose(fp);

   data.mesg_type = 1L;
   msgrcv(qid, &(data.mesg_type), MAXMESGDATA, data.mesg_type, 0);
   printf("%s", data.mesg_data);

}

