/* $RCSfile: DlDitherOn.cc,v $ -- cmd line routine to do clear laser counter */
/*
$Header: /home/chara/cvsroot/ople/sys/gui/DlDitherOn/DlDitherOn.cc,v 1.1.1.1 1998/06/11 21:36:26 chara Exp $
*/

#include "commonIncludes.h"
#include "mesg.h"
#include "msgq.h"
#include "isitUnix.h"
#include "isitCommand.h"
#include "common.h"
#include <stdlib.h>
#include <string.h>
main(int argc, char **argv)
{

   FILE *fp;
   int qid;
   Mesg data;
   int retval;

   Data_buf buf;

   if (argc < 3)
   {
      printf("Usage: %s dl_num [true|false]\n",argv[0]);
      exit(1);
   }
   
   if ( (qid = msgget(MKEY1, 0)) == -1)
   {
	printf("error in getting message queue id with key %d\n",MKEY1);
	exit(1);
   }
   buf.com_cmd.dldoCmd.Command = DL_CMD_DITHER_ON;
   buf.gtGenericType = GT_DELAY_LINE;
   buf.iGuiGizmoIndex = atoi(argv[1]);

   if (strcasecmp(argv[2],"true") == 0)
      buf.com_cmd.dldoCmd.bTurnDitherOn = (BOOL) TRUE;
   else if (strcasecmp(argv[2],"false") == 0)
      buf.com_cmd.dldoCmd.bTurnDitherOn = (BOOL) FALSE;
   else
   {
      printf("Please select from [true|false]\n");
      exit(1);
   }

   if ( (fp = fopen(FILENAME, "a")) == NULL)
   {
	fprintf(stderr,"error opening file\n");
	exit(1);
   }
   fwrite(&buf, sizeof(buf), 1, fp);
   fclose(fp);
   data.mesg_type = 1L;
   msgrcv(qid, &(data.mesg_type), MAXMESGDATA, data.mesg_type, 0);
   printf("%s", data.mesg_data);
}

