#ifndef INC_clientImgh
#define INC_clientImgh


/**************************************************************************

[[D ::draw_figure(Display *d, Window w, GC gc, int curfig, int posX, int posY) ]
[ invalid Display d || invalid Window w || invalid GC gc => UNDEFINED
| true =>
    d := Using the Display d, Window w, and GC gc, draw a rectangle with
         top left corner x coordinate posX and y coordinate posY
    : w := Using the Window w, Display d, and GC gc, draw a rectangle with
         top left corner x coordinate posX and y coordinate posY
    : gc := Using the GC gc, Window w, and Display d, draw a rectangle with
         top left corner x coordinate posX and y coordinate posY
    : curfig := specifies which image type and its corresponding width and
              height are used in drawing a rectangle
    : posX := x coordinate of top left corner of a rectangle
    : posY := y coordinate of top left corner of a rectangle
]]
**************************************************************************/
void draw_figure(Display *d, Window w, GC gc, int curfig, int posX, int posY);
int validateNewPoint(int& x, int& y, int whichImg);
void setImgPosition(Widget draw_area, GC gc, int whichImg,
                      int& oldPosX, int& oldPosY, int newPosX, int newPosY,
                      Widget& x_text, Widget& y_text ,
                      Widget& x_scale, Widget& y_scale);

void getNSetImgPosition(Widget draw_area, GC gc, int whichImg,
                      int& oldPosX, int& oldPosY, 
                      Widget& x_text, Widget& y_text ,
                      Widget& x_scale, Widget& y_scale);

void setTextSlide(int x, int y,
                  Widget& x_text, Widget& y_text ,
                  Widget& x_scale, Widget& y_scale);

#endif INC_clientImgh

