/* $RCSfile: commonIncludes.h,v $ - common header files for GUI and cmd line interface -  */
/* CM Info:
$Header: /home/chara/cvsroot/ople/sys/gui/include/commonIncludes.h,v 1.1.1.1 1998/06/11 21:36:32 chara Exp $
*/
/* Kevin Young - Jet Propulsion Laboratory */

/*
modification history
--------------------
01a,15Oct97,ky       Initial creation
*/

/*
DESCRIPTION
  common X and system header files
*/
#ifndef INC_commonIncludesh
#define INC_commonIncludesh

#include <X11/Xatom.h>
#include <X11/Intrinsic.h>
#include <X11/Shell.h>

#include <Xm/Xm.h>
#include <X11/StringDefs.h>
#include <Xm/ArrowB.h>
#include <Xm/CascadeB.h>
#include <Xm/DialogS.h>
#include <Xm/DrawingA.h>
#include <Xm/Form.h>
#include <Xm/Frame.h>
#include <Xm/Label.h>
#include <Xm/MessageB.h>
#include <Xm/PushB.h>
#include <Xm/RowColumn.h>
#include <Xm/ScrollBar.h>
#include <Xm/Separator.h>
#include <Xm/Text.h>
#include <Xm/TextF.h>
#include <Xm/ToggleB.h>
#include <Xm/CascadeBG.h>
#include <Xm/LabelG.h>
#include <Xm/SeparatoG.h>
#include <Xm/ToggleBG.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#endif  INC_commonIncludesh

