/* $RCSfile: configError.h,v $ - config Manager error file */

/*
$Header: /home/chara/cvsroot/ople/sys/include/configError.h,v 1.2 1998/08/17 21:01:12 phil Exp $
*/
 
/*
modification history
--------------------
01a,pci,29May97    written
*/
 
/*
DESCRIPTION
RICST error number definitions for config Manager.
*/

#ifndef INC_configErrorh
#define INC_configErrorh

/* Hardware */
#define S_configMgr_CHANNEL_INFO                          (M_configMgr | 0x0001)
#define S_configMgr_INVALID_GIZMO_TYPE                    (M_configMgr | 0x0002)
#define S_configMgr_INVALID_RTE_NUM                       (M_configMgr | 0x0003)
#define S_configMgr_ENTERING_CONFIG_MANAGER_CONSTRUCTOR   (M_configMgr | 0x1001)
#define S_configMgr_CONSTRUCTING_INST_GIZMO_INFO          (M_configMgr | 0x1002)
#define S_configMgr_CONSTRUCTING_BB1_DL_GIZMO             (M_configMgr | 0x1003)
#define S_configMgr_CONSTRUCTING_BB2_DL_GIZMO             (M_configMgr | 0x1004)
#define S_configMgr_CONSTRUCTING_GSU_DL_GIZMO             (M_configMgr | 0x1005)
#define S_configMgr_CONSTRUCTING_FT_GIZMO                 (M_configMgr | 0x1006)
#define S_configMgr_CONSTRUCTING_EM_GIZMO                 (M_configMgr | 0x1007)
#define S_configMgr_CONSTRUCTING_ST_GIZMO                 (M_configMgr | 0x1008)
#define S_configMgr_DONE_CONSTRUCTING_CONFIG_MANAGER      (M_configMgr | 0x1009)
#define S_configMgr_CONSTRUCTING_INST_GIZMO_0             (M_configMgr | 0x1009)
#define S_configMgr_UNKNOWN_INSTRUMENT_GIZMO_NUMBER       (M_configMgr | 0x100b)
#define S_configMgr_CONSTRUCTING_BB1_DL_GIZMO_0           (M_configMgr | 0x100c)
#define S_configMgr_UNKNOWN_BB1_DL_GIZMO_NUMBER           (M_configMgr | 0x100d)
#define S_configMgr_CONSTRUCTING_BB2_DL_GIZMO_0           (M_configMgr | 0x100e)
#define S_configMgr_CONSTRUCTING_GSU_DL_GIZMO_0           (M_configMgr | 0x100f)
#define S_configMgr_UNKNOWN_GSU_DL_GIZMO_NUMBER           (M_configMgr | 0x1010)
#define S_configMgr_CONSTRUCTING_FT_GIZMO_0               (M_configMgr | 0x1011)
#define S_configMgr_UNKNOWN_FT_GIZMO_NUMBER               (M_configMgr | 0x1012)
#define S_configMgr_CONSTRUCTING_EM_GIZMO_0               (M_configMgr | 0x1013)
#define S_configMgr_UNKNOWN_EM_GIZMO_NUMBER               (M_configMgr | 0x1014)

// Configuration Errors/Messages
#define S_rteConfig_CREATE_NEW_INSTRUMENT         (M_rteConfig | 0x1000)
#define S_rteConfig_CREATE_NEW_DELAY_LINE         (M_rteConfig | 0x1001)
#define S_rteConfig_CREATE_NEW_GSU_DELAY_LINE     (M_rteConfig | 0x1002)
#define S_rteConfig_CREATE_NEW_QUIC_DELAY_LINE    (M_rteConfig | 0x1003)
#define S_rteConfig_CREATE_NEW_FRINGE_TRACKER     (M_rteConfig | 0x1004)
#define S_rteConfig_CREATE_NEW_EXTERNAL_METROLOGY (M_rteConfig | 0x1005)
#define S_rteConfig_CREATE_NEW_STAR_TRACKER       (M_rteConfig | 0x1006)
#define S_rteConfig_CANNOT_CREATE_GENERIC_DELAY_LINE   (M_rteConfig | 0x1007)



#endif /* INC_configErrorh */
