/* $RCSfile: emCommands.h,v $ */
/* CM Info:   
$Header: /home/chara/cvsroot/ople/sys/include/emCommands.h,v 1.1.1.1 1998/06/11 21:36:11 chara Exp $
*/
/* Richard Johnson - Jet Propulsion Laboratory */
 
/*
modification history
--------------------
01a,rlj,27Apr97    written
*/

#ifndef INC_emCommandsh
#define INC_emCommandsh

#include "isitCommand.h"
#include "emTypes.h"


class tEmPingCmd : public tIsitCmd {};
class tEmOffCmd : public tIsitCmd {};
class tEmTrackCmd : public tIsitCmd {};

class tEmSetServoParametersCmd : public tIsitCmd {
  public:
    double    dAmplitude;
    double    dFrequency;
    double    dMeanVal;
    MOD_TYPE  mtModulationType;
    TIME      tSyncTime;
};

#endif INC_emCommandsh
