/* $RCSfile: emError.h,v $ */
/* CM Info:   
$Header: /home/chara/cvsroot/ople/sys/include/emError.h,v 1.1.1.1 1998/06/11 21:36:11 chara Exp $
*/
/* Richard Johnson - Jet Propulsion Laboratory */

/*
modification history
--------------------
01a29Aug97,rlj    written
*/

#ifndef INC_emErrorh
#define INC_emErrorh




//Errors

#define S_emgizmo_COULD_NOT_CREATE_COMMAND_ENGINE      (M_emgizmo | 0x01)
#define S_emgizmo_UNRECOGNIZED_COMMAND                 (M_emgizmo | 0x02)
#define S_emgizmo_UNABLE_TO_SEND_STATUS                (M_emgizmo | 0x03)
#define S_emgizmo_GIZMO_INFO_NOT_EM                    (M_emgizmo | 0x04)
#define S_emgizmo_INVALID_NUMBER_OF_SERVO_MODES        (M_emgizmo | 0x05)
#define S_emgizmo_INVALID_NUMBER_OF_SERVO_PARTITIONS   (M_emgizmo | 0x06)


//Messages

#define S_emgizmo_EXTERNAL_METROLOGY_ALIVE  (M_emgizmo | 0x2001)
#define S_emgizmo_SETTING_SERVO_PARAMETERS  (M_emgizmo | 0x2002)
#define S_emgizmo_SERVO_PARAMETERS_SET      (M_emgizmo | 0x2003)
#define S_em_OFF_START                      (M_emgizmo | 0x2004)
#define S_em_OFF_COMPLETE                   (M_emgizmo | 0x2005)
#define S_em_TRACK_START                    (M_emgizmo | 0x2006)
#define S_em_TRACK_IN_PROGRESS              (M_emgizmo | 0x2007)
#define S_em_TRACK_ABORTED                  (M_emgizmo | 0x2008)


#endif INC_emErrorh
