/* $RCSfile $ */
/* CM Info:   
$Header: /home/chara/cvsroot/ople/sys/include/ftError.h,v 1.1.1.1 1998/06/11 21:36:11 chara Exp $
*/
/* Derek Slye - Jet Propulsion Laboratory */

#ifndef INC_ftErrorh
#define INC_ftErrorh

// Errors

#define S_ft_UNABLE_TO_SEND_STATUS              (M_ft | 0x01)
#define S_ft_UNRECOGNIZED_COMMAND               (M_ft | 0x02)
#define S_ft_COULD_NOT_CREATE_COMMAND_ENGINE    (M_ft | 0x03)
#define S_ft_GIZMO_INFO_NOT_FT                  (M_ft | 0x04)
#define S_ft_INVALID_NUMBER_OF_SERVO_MODES      (M_ft | 0x05)
#define S_ft_INVALID_NUMBER_OF_SERVO_PARTITIONS (M_ft | 0x06)

#define S_ft_ARRAY_TOO_SMALL                    (M_ft | 0x07)

#define S_ft_INVALID_TRACK_CONTROLLER_MODE      (M_ft | 0x08)
#define S_ft_TOO_FEW_PHOTONS_TO_CONTINUE_SEARCH (M_ft | 0x09)
#define S_ft_TOO_FEW_PHOTONS_FOR_SEARCH         (M_ft | 0x0a)
#define S_ft_SEARCH_TIME_OUT                    (M_ft | 0x0b)

#define S_ft_INVALID_TARGET_DIRECTION           (M_ft | 0x0c)
#define S_ft_UNABLE_TO_SEND_IMAGE               (M_ft | 0x0d)

#define S_ft_MISSING_APD_DATA                   (M_ft | 0x0e)
#define S_ft_UNPROCESSED_SWEEP                  (M_ft | 0x0f)
#define S_ft_OVERPROCESSED_SWEEP                (M_ft | 0x10)

// Messages

#define S_ft_FRINGE_TRACKER_ALIVE               (M_ft | 0x2001)
#define S_ft_OFF                                (M_ft | 0x2002)
#define S_ft_TRACK_START                        (M_ft | 0x2003)
#define S_ft_TRACK_IN_PROGRESS                  (M_ft | 0x2004)
#define S_ft_TRACK_ABORTED                      (M_ft | 0x2005)
#define S_ft_GET_IMAGE                          (M_ft | 0x2006)
#define S_ft_SERVO_PARAMETERS_SET               (M_ft | 0x2007)
#define S_ft_REGION_OF_INTEREST_SET             (M_ft | 0x2008)
#define S_ft_WOBBLE_PARAMETERS_SET              (M_ft | 0x2009)
#define S_ft_SEARCH_PARAMETERS_SET              (M_ft | 0x200a)
#define S_ft_THRESHOLD_PARAMETERS_SET           (M_ft | 0x200b)
#define S_ft_CONTROLLER_PARAMETERS_SET          (M_ft | 0x200c)

#endif  /* INC_ftError_h */
