/* $RCSfile: instError.h,v $*/
/* CM Info:   
$Header: /home/chara/cvsroot/ople/sys/include/instError.h,v 1.2 1998/07/13 22:07:14 phil Exp $*/
/* Richard Johnson - Jet Propulsion Laboratory */

#ifndef INC_instErrorh
#define INC_instErrorh

#include "rtModNum.h"

//ERRORS
#define S_instcds_UNRECOGNIZED_COMMAND         (M_inst | 0x1)
#define S_instcds_CANT_ALLOCATE_TARGET_BUFFERS (M_inst | 0x2)
#define S_instcds_GIZMO_NOT_INITIALIZED        (M_inst | 0x3)
#define S_instcds_INVALID_DELAY_LINE_ID        (M_inst | 0x4)

//WARNINGS

#define S_instcds_GIZMO_NOT_SHUT_DOWN          (M_inst | 0x1000)
#define S_instcds_GIZMO_ALREADY_SHUTDOWN      (M_inst | 0x1001)
#define S_instcds_GIZMO_ALREADY_INITIALIZED    (M_inst | 0x1002)


//MESSAGES

#define S_instcds_MANUAL_TARGET_SET            (M_inst | 0x2000)
#define S_instcds_OPEN_LOOP_TARGET_SET         (M_inst | 0x2001)
#define S_ping_INSTRUMENT_CDS_ALIVE            (M_inst | 0x2002)
#define S_instcds_TIME_SET                     (M_inst | 0x2003)

#define S_gizmoInfo_BAD_DYNAMIC_DOWNCAST   (M_gizmoInfo | 0x1)

#endif
