/* $RCSfile: isitUnix.h,v $ - UNIX-only Definitions */

/*
$Header: /home/chara/cvsroot/ople/sys/include/isitUnix.h,v 1.1.1.1 1998/06/11 21:36:13 chara Exp $
*/

/*
modification history
--------------------

01a,08May97,pci    written - moved stuff over from isitExt.h
*/

#ifndef INC_isitUnixh
#define INC_isitUnixh


typedef unsigned char      uint8_t;
typedef short int          int16_t;
typedef unsigned short int uint16_t;

#ifndef _SYS_INT_TYPES_H
typedef long int           int32_t;
typedef unsigned long int  uint32_t;
#endif _SYS_INT_TYPES_H

typedef int                BOOL;
#define OK (0)
typedef int                (*FUNCPTR) ();  


#ifndef SPECTOO
#include <stdio.h>
#endif 

#include "isitExt.h"


typedef struct Gui_Modulation {
  double   dFrequency;
  double   dAmplitude;
  double   dMeanVal;
  TIME     tTime;

}Gui_Modulation;

#define FT_WHOLE_WIDTH 640
#define FT_WHOLE_HEIGHT 480

#define STAR_IMG_WIDTH  12
#define STAR_IMG_HEIGHT 12
#define FT_IMG_WIDTH  252
#define FT_IMG_HEIGHT  20

TIME GetTime(void);

typedef enum IMAGE_TYPE { STAR0_IMAGE, STAR1_IMAGE, FT_IMAGE } IMAGE_TYPE;

 
#endif /* INC_isitUnixh */
