/* $RCSfile $ */
/* CM Info:   
$Header: /home/chara/cvsroot/ople/sys/include/msgQSpec.h,v 1.1.1.1 1998/06/11 21:36:13 chara Exp $ */
/* Richard Johnson - Jet Propulsion Laboratory */

//vxWorks MsgQ spec

/****

[[D ::msgQCreate () ]
[ message queue can't be created => 
    VxWorks errno set appropriately
    : return := NULL
| options == MSG_Q_PRIORITY =>
    VxWorks msg queue created for maxMsgs of maxMsgLen
      that appends messages according to priority
    : return := new VxWorks message queue id
| options == MSG_Q_FIFO =>
    VxWorks msg queue created for maxMsgs of maxMsgLen
      that appends messages as first in first out order
    : return := new VxWorks message queue id
]]
 
[[D ::msgQSend ()]
[ buffer invalid => UNDEFINED
| msgQId invalid ||
  msgQId deleted while waiting to send message ||
  timeout == NO_WAIT && queue is full ||
  queue is full for timeout ticks ||
  nBytes > MaxMsgLength for this queue ||
  called from ISR && timeout != NO_WAIT =>
    errno := appropriate vxWorks error code
    : return := ERROR
| true=> 
    during the time timeout ticks after the call is 
      issued, the first nBytes bytes of buffer are read into VxWorks 
      queue msgQId 
    : contents of VxWorks queue this->msgQId increased by 1 element  
    : return := OK
]]

[[D ::msgQReceive () ]
[ buffer is invalid => UNDEFINED
| msgQId is invalid ||
  msgQId is deleted while waiting to recieve a message ||
  timeout == NO_WAIT &&
    no messages are waiting ||
  no messages available in timeout ticks ||
  maxNBytes < 0 => 
    errno := appropriate vxWorks error code
    : return := ERROR
| true =>
    during the time timeout ticks after the call is
      issued, the first maxNBytes bytes of message from VxWorks
      queue msgQId are read into buffer
    : contents of VxWorks queue msgQId decreased by 1 element
    : return := number of bytes copied into buffer
]]



******/