/* $RCSfile: quicDlIoSet.h,v $ */
/* CM Info:
$Header: /home/chara/cvsroot/ople/sys/include/quic/quicDlIoSet.h,v 1.1.1.1 1998/06/11 21:36:17 chara Exp $
*/
/* Brad Hines - Jet Propulsion Laboratory */
 
/*
modification history
--------------------
01a,beh,11May97    written
*/
 
/*
DESCRIPTION

*/

#ifndef INC_QuicDlIoSeth
#define INC_QuicDlIoSeth

#include "dl/dlIoSet.h"

class tQuicDlGizmoInfo;
class tQuicDlCompleteIoSet;


/*******************************************************************/
/*******************************************************************/
/********************                     **************************/
/********************  Class Definitions  **************************/
/********************                     **************************/
/*******************************************************************/
/*******************************************************************/



/*******************************************************************/
/************************  tQuicDlCompleteIoSet  ********************/
/*******************************************************************/

class tQuicDlCompleteIoSet : public tDlCompleteIoSet {
public:
  tQuicDlCompleteIoSet(const tQuicDlGizmoInfo &GizmoInfo,
                      tDlTargGen     &LaserTargetGenerator,
                      tDither        &LaserDither);

  // Sensors

  // Diagnostic inputs for servo performance tuning
  tSensor DiagVc1InputSensor;
  tSensor DiagMotorInputSensor;

  // Actuators

  // Diagnostic outputs for displaying servo errors

  // Target Sources
};


#endif  /* INC_QuicDlIoSeth */
