/* $RCSfile: simser.h,v $ - network server stuff */
/* CM Info:   
$Header: /home/chara/cvsroot/ople/sys/include/simser.h,v 1.1.1.1 1998/06/11 21:36:14 chara Exp $
*/
/* Kevin Young - Jet Propulsion Laboratory */
 
/*
modification history
--------------------
01a,??Oct96,ky    written 
*/
      
/*
DESCRIPTION
  ISIT network server code header file
*/
 
 
#ifndef INC_simserh
#define INC_simserh

#ifndef SPECTOOL
  #include <vxWorks.h>
  #include <sockLib.h>
  #include <inetLib.h>
  #include <taskLib.h>
  #include <stdioLib.h>
  #include <strLib.h>
  #include <ioLib.h>
  #include <fioLib.h>
#endif
 
#define S_gui_STARTING_TCPSERVER (M_gui | 0x1001)
#define S_gui_PROCESSING_CMD     (M_gui | 0x1002)

#define SERVER_PORT_NUM	5001
#define SERVER_WORK_PRIORITY 100
#define SERVER_STACK_SIZE 10000
#define SERVER_MAX_CONNECTIONS 4

#define REQUEST_MSG_SIZE 1024
#define REPLY_MSG_SIZE 500

#define NEW_TARGET_LOWER_LIMIT 0
#define NEW_TARGET_UPPER_LIMIT 1000

/* forward class definitions */
class tCmdHdlr;

#ifdef __cplusplus 
extern "C" { 
#endif

STATUS tcpServer(tCmdHdlr *ptr); 
STATUS sendError(void *pStuff, size_t sSize);
STATUS sendData(void *pStuff, size_t sSize);
STATUS sendStatus(void *pStuff, size_t sSize);
STATUS sendFtStatus(void *pStuff, size_t sSize);
STATUS sendEmStatus(void *pStuff, size_t sSize);
STATUS do_command(void *pStuff, size_t sSize);
#ifdef __cplusplus
}
#endif

#endif   INC_simserh
