/* $RCSfile: tokenError.h,v $  */
/* $Header: /home/chara/cvsroot/ople/sys/include/tokenError.h,v 1.1.1.1 1998/06/11 21:36:15 chara Exp $ */

/*
modification history
--------------------
01a,16Jun97,rlj    written
*/

#ifndef INC_tokenErrorh
#define INC_tokenErrorh
 

//ERRORS
#define S_token_CLIENT_DOESNT_OWN_TOKEN                  (M_ts | 0x1)
#define S_token_CLIENT_ALREADY_OWNS_TOKEN                (M_ts | 0x2)
#define S_token_CLIENT_TIME_OUT                          (M_ts | 0x3)
#define S_token_CLIENT_OUT_OF_RANGE                      (M_ts | 0x4)
#define S_token_SERVER_TIME_OUT			 (M_ts | 0x5)

//WARNINGS
#define S_token_SERVER_ALREADY_RUNNING                   (M_ts | 0x1001)
#define S_token_SERVER_NOT_RUNNING                       (M_ts | 0x1002)
#define S_token_CLIENT_NOT_INITIALIZED                   (M_ts | 0x1003)
#define S_token_CLIENT_ALREADY_INITIALIZED               (M_ts | 0x1004)
#define S_token_CLIENT_ALREADY_SHUTDOWN			 (M_ts | 0x1005)


//MESSAGES

#define S_ts_SUCCESSFULLY_COMPLETED_SERVER_INIT          (M_ts | 0x2001)
#define S_ts_SUCCESSFULLY_COMPLETED_SERVER_DESTRUCTOR    (M_ts | 0x2002)
#define S_ts_SUCCESSFULLY_COMPLETED_SERVER_REINIT        (M_ts | 0x2003)
#define S_ts_SUCCESSFULLY_COMPLETED_SERVER_SHUTDOWN      (M_ts | 0x2004)
#define S_ts_START_OF_POLL                               (M_ts | 0x2005)
#define S_ts_END_OF_POLL                                 (M_ts | 0x2006)
#define S_ts_REQUEST_GRANTED                             (M_ts | 0x2007)
#define S_ts_RETURN_ACCEPTED                             (M_ts | 0x2008)

#define S_tc_SUCCESSFULLY_COMPLETED_CLIENT_INIT          (M_ts | 0x1009)
#define S_tc_SUCCESSFULLY_COMPLETED_CLIENT_REINIT        (M_ts | 0x100a)
#define S_tc_SUCCESSFULLY_COMPLETED_CLIENT_SHUTDOWN      (M_ts | 0x100b)
#define S_tc_SUCCESSFULLY_COMPLETED_TOKEN_REQUEST        (M_ts | 0x100c)
#define S_tc_SUCCESSFULLY_COMPLETED_TOKEN_RETURN         (M_ts | 0x100d)


#endif INC_tokenErrorh
