/* $RCSfile: ipcObject.h,v $ */
/* $Header: /home/chara/cvsroot/ople/sys/ipc/include/ipcObject.h,v 1.1.1.1 1998/06/11 21:36:37 chara Exp $ */

#ifndef INC_ipcObjecth
#define INC_ipcObjecth


/**************************************************************************
tIpcObject Black Box State (Generic for tIpcAtom,tIpcDblBuffer,tIpcFifo)

tIpcId    iiIpcObjectId (Generic for tIpcAtomId,tIpcDblBufferId,tIpcFifoId)

________________________________________________________________________

BOOL CanAllocateObject (tIpc *pIpc, tIpcId iiId, size_t szSize)
[ iiId.mtMemType not in { MT_LOCAL,MT_SHARED } ||
  iiId.mtMemType == MT_SHARED  &&
    pIpc->pSharedMemory->TokenServer does not grant token in 
    pIpc->pTokenClient->tTimeOut ticks ||
  TE. a tIpcObject x, in ObjectSet(pIpc,iiId.mtMemType) st. 
    x.iiObjectId.inObjectName == inName && 
    ! ( (x.iiObjectId.itObjectType == itType) && 
      ( x.iiObjectId.szObjectSize == szSize) ) ||
  !TE an ipc object x in ObjectSet(pIpc,iiId.mtMemType) st. 
    x.iiObjectId.inObjectName == inName &&
    pMemory->szHeapFree < szSize => return := FALSE
| true => return := TRUE
]


tMemory *Memory (tIpc *pIpc, MEM_TYPE mtType) 
[ pIpc is invalid ||
  mtType not in { MT_LOCAL, MT_SHARED } => UNDEFINED
| mtType == MT_LOCAL => return := pIpc->pLocalMemory
| true => return := pIpc->pSharedMemory
]


set of tIpcObject PossibleNewObject (tIpc *pIpc, tIpcId iiId )
[ TE. a tIpcObject x in ObjectSet (pIpc,iiId) st. x.iiObjectId == iiId => 
    return := NULL SET
| true => return := { tIpcObject with tIpcObject.iiId = iiId }
]
 
size_t AllocationSize (tIpc *pIpc, tIpcId iiId, size_t szSize) 
[ TE. a tIpcObject x in pIpc->Memory(pIpc,iiId.mtMemType)->ObjSet 
    st. x.iiObjectId == iiId => return := 0
| true => return := szSize
]

*****************************************************************/

#include "ipcAtom.h"
#include "ipcDblBuffer.h"
#include "ipcFifo.h"


#endif INC_ipcObjecth
