/* $RCSfile: commandStream.cc,v $  */
/* $Header*/

/*
modification history
--------------------
01a,24Jun97,rlj    written
*/

#include "commandStream.h"

#include "ipc.h"
#include "ipcFifoAccessor.h"


/****
[[U tCommandStreamSender::tCommandStreamSender (iiId) ]]
****/
tCommandStreamSender::tCommandStreamSender (const tIpcFifoId& iiId) :
 
  /****
  [[U tIpcFifoAccessor::tIpcFifoAccessor (iiId) ]]
  ****/
  tIpcFifoAccessor<ISIT_CMD> (iiId)  {

    TraceMark (S_commandStream_SENDER_CONSTRUCTOR);
  
}


/****
[[U tCommandStreamSender::~tCommandStreamSender (iiId) ]]
****/
tCommandStreamSender::~tCommandStreamSender () {

  TraceMark (S_commandStream_SENDER_DESTRUCTOR);

  /****
  [[U tIpcFifoAccessor::~tIpcFifoAccessor (void) ]]
  ****/   
}


/****
[[U tCommandStreamReceiver::tCommandStreamReceiver (iiId) ]]
****/
tCommandStreamReceiver::tCommandStreamReceiver (const tIpcFifoId& iiId) :
 
  /****
  [[U tIpcFifoAccessor::tIpcFifoAccessor (iiId) ]]
  ****/
  
  tIpcFifoAccessor<ISIT_CMD> (iiId) {

    TraceMark (S_commandStream_RECEIVER_CONSTRUCTOR);
}
  

/****
[[U tCommandStreamReceiver::~tCommandStreamReceiver (iiId) ]]
****/
tCommandStreamReceiver::~tCommandStreamReceiver () {

  TraceMark (S_commandStream_RECEIVER_DESTRUCTOR);

  /****
  [[U tIpcFifoAccessor::~tIpcFifoAccessor (void) ]]
  ****/
}

