
#include <vxWorks.h>
#include <drv/timer/ppcDecTimer.h>
#include <intLib.h>
#include <stdio.h>
#include <math.h>
extern UINT32 sysTimestampLock(void);

STATUS doTime(void) {
  int i, j, t, g;
  double d;

  printf("Start:\n\n\n");
  
  for (i=0; i<30; i++) {
    t = sysTimestampLock();
    g = tickGet();
    d = (double) t;
    
    for (j=0; j<500; j++) {
      d = log(d);
      if (d < 0.01) d *= 1234.0;
      if (d < 0.0) d = -d;
    }

    printf("%d.%d = %d\n",g,t,(int)d/100);
  }

  return OK;
}

#if 0
UINT8 *cioCtl = (UINT8 *) 0x80000847;

STATUS doTime(void)
{
  UINT8 lsb, msb;
  int net;
  
  intLock();
  *cioCtl = ZCIO_CT1CCMSB;
  msb = *cioCtl;
  *cioCtl = ZCIO_CT1CCLSB;
  lsb = *cioCtl;
  intUnlock();

  net = (((int) msb) << 8) | (int) lsb;
  printf("0x%2x %2x = %d\n", (int) msb, (int) lsb, net);
    

  return OK;
}
#endif
