/* $RCSfile: Relayer_private.h,v $  */
/* CM Info:   
$Header: /home/chara/cvsroot/ople/sys/comm/include/Relayer_private.h,v 1.1.1.1 1998/06/11 21:36:20 chara Exp $
*/
/* Richard Johnson - Jet Propulsion Laboratory */

// Spec definitions for Relayer protected methods

/*****

[[D tRelayer::ErrorQueueBecomesNonEmpty () ]
[ this is invalid ||
  bUIAttached && msgsock has dimension < 2  => UNDEFINED
| miQid is invalid || 
  miQid is deleted while waiting to recieve a message => 
    errno:=appropriate vxWorks error code
    : return := ERROR
| !bUIAttached || 
  bUIAttached && (
    msgsock invalid || 
    msgsock[1] not a valid socket descriptor) => 
      contents of VxWorks queue miQid  decreased by 1 element
| OS cannot successfully perform write => 
    print error message
    : contents of VxWorks queue miQid  decreased by 1 element
    : return:=ERROR
| true => 
    contents of VxWorks queue miQid  decreased by 1 element
    : the first sizeof(eiMsg) bytes of message from VxWorks queue miQid are 
      written to socket corresponding to descriptor msgsock[2]
    : return:=OK
]]

[[D tRelayer::DataQueueBecomesNonEmpty() ]
[ this is invalid ||
  sizeof (* ( (tPacketHeader *) (first sizeof(tPacketHeader) bytes of message 
    from VxWorks queue miQid)->pPacketInfo)) != 
    (tPacketHeader *) (first sizeof(tPacketHeader) bytes of message 
    from VxWorks queue miQid).BlockSize ||
  bUIAttached && ( (tPacketHeader) (first sizeof(tPacketHeader) bytes of 
    message from VxWorks queue miQid).pPacketInfo is invalid ||
    msgsock has dimension < 3 ||
  (tPacketHeader) (first sizeof(tPacketHeader) bytes of message 
     from VxWorks queue miQid).BlockSize < 0 )  => UNDEFINED
| miQid is invalid || 
  miQid is deleted while waiting to recieve a message =>
    errno:=appropriate vxWorks error code
    : return := ERROR
| !bUIAttached || 
   bUIAttached && (
     msgsock invalid || 
     msgsock[2] not a valid socket descriptor) =>    
       contents of VxWorks queue miQid  decreased by 1 element
| OS cannot successfully perform write => 
    print error message
    : contents of VxWorks queue miQid  decreased by 1 element
    : return := ERROR
| true => 
   contents of VxWorks queue miQid  decreased by 1 element
   : first sizeof(tPacketHeader) bytes of message from VxWorks queue miQid 
     written to socket corresponding to descriptor msgsock[2]
   : *((tPacketHeader) (first sizeof(tPacketHeader) bytes of message 
     from VxWorks queue miQid).pPacketInfo) written to socket 
     corresponding to descriptor msgsock[2]
   : return := OK
]]

[[D tRelayer::StatusQueueBecomesNonEmpty () ]
[ this is invalid ||
  sizeof (* ( (tPacketHeader *) (first sizeof(tPacketHeader) bytes of message 
    from VxWorks queue miQid)->pPacketInfo)) != 
    (tPacketHeader *) (first sizeof(tPacketHeader) bytes of message 
    from VxWorks queue miQid).BlockSize || 
  bUIAttached && ( 
    (tPacketHeader) (first sizeof(tPacketHeader) bytes of message 
       from VxWorks queue miQid).pPacketInfo is invalid ||
     msgsock has dimension < 4 ||
     (tPacketHeader) (first sizeof(tPacketHeader) bytes of message 
       from VxWorks queue miQid).BlockSize < 0 ) => UNDEFINED
| miQid is invalid || 
  miQid is deleted while waiting to recieve a message =>
    errno:=appropriate vxWorks error code
    : return := ERROR
| !bUIAttached ||
  bUIAttached && (
    msgsock invalid || msgsock[3] not a valid socket descriptor ) => 
      contents of VxWorks queue miQid  decreased by 1 element
| OS cannot successfully perform write => 
    print error message
    : contents of VxWorks queue miQid  decreased by 1 element
    : return := ERROR
| true => 
   contents of VxWorks queue miQid  decreased by 1 element
   : first sizeof(tPacketHeader) bytes of message from VxWorks queue miQid 
     written to socket corresponding to descriptor msgsock[3]
   : * ( (tPacketHeader) (first sizeof(tPacketHeader) bytes of message 
     from VxWorks queue miQid).pPacketInfo) written to socket 
     corresponding to descriptor msgsock[3]
   : return := OK
]]

[[D main::taskSpawn () ]
[ !(entryPt is a pointer to valid C function ||
  (entryPt is a valid pointer to a C++ method &&
     arg1 is a valid pointer to a C++ object with method *entryPt)) => UNDEFINED
| Task cannot be created || 
  Insufficient memory to spawn task =>
    OS.Task.errno := VxWorks errno (taskSpawn)
    : return := ERROR
| entryPt is a pointer to a C++ method =>
    OS.SpawnedTasks := OS.SpawnedTasks U
      { (arg1->(*entryPt))(arg2, ...), with specified
         name, priority, options, and stackSize }
    : return := new task ID from VxWorks
| true =>
    OS.SpawnedTasks := OS.SpawnedTasks U
      { (*entryPt)(arg1, ...), with specified
        name, priority, options, and stack size }
    : return := new task ID from VxWorks
]]
****/