/* $RCSfile: emGizmoInfo.cc,v $ */
/* CM Info:   
$Header: /home/chara/cvsroot/ople/sys/gizmo/em/emGizmoInfo.cc,v 1.1.1.1 1998/06/11 21:36:23 chara Exp $
*/
/* Richard Johnson - Jet Propulsion Laboratory */

/*
modification history
--------------------
01a28Aug97,rlj    written
*/

#include "emGizmoInfo.h"
#include "dlGizmoInfo.h"
#include "configMgr.h"

/****
[[U tEmGizmoInfo::tEmGizmoInfo (iRteId,iGizmoId,iNumberOfServoModes,
                            ServoInfo,iDlTargetGizmoId) ]]
****/                            
tEmGizmoInfo::tEmGizmoInfo (int iRteId, int iGizmoId,int iNumberOfServoModes,
                            const tServoInfo& ServoInfo,int iDlTargetGizmoId) :
         
  /****
  [[U tRealtimeGizmoInfo::tRealtimeGizmoInfo (iRteId,iGizmoId,
       iNumberOfServoMode,ServoInfo) ]]
  ****/                            
  tRealtimeGizmoInfo (iRteId, iGizmoId, iNumberOfServoModes, ServoInfo) { 

  this->gtGizmoType = GT_EXTERNAL_METROLOGY; 
  this->iDlGizmoId = iDlTargetGizmoId; 
}


/****
[[U tEmGizmoInfo::GetTargetId (void) ]]
****/                            
const tIpcDblBufferId& tEmGizmoInfo::GetTargetId () const {


  /****
  [[U GizmoInfo := *ConfigManager.tConfig::GetGizmoInfo (this->iDlGizmoId) ]]
  ****/                            
  tDlGizmoInfo &GizmoInfo = 
     (tDlGizmoInfo &) *ConfigManager.GetGizmoInfo (this->iDlGizmoId);
  
  
  /****
  [[U GizmoInfo.tDlGizmoInfo::GetEmTargetId (void) ]]
  ****/                            
  return GizmoInfo.GetEmTargetId ();
}

