/* $RCSfile: DlSelectTarget.cc,v $ -- cmd line routine to do clear laser counter */
/*
$Header: /home/chara/cvsroot/ople/sys/gui/DlSelectTarget/DlSelectTarget.cc,v 1.1.1.1 1998/06/11 21:36:27 chara Exp $
*/

#include "commonIncludes.h"
#include "mesg.h"
#include "msgq.h"
#include "isitUnix.h"
#include "isitCommand.h"
#include "common.h"
#include <stdlib.h>


main(int argc, char **argv)
{

   FILE *fp;
   int qid;
   Mesg data;

   Data_buf buf;

   if (argc < 4)
   {
      printf("Usage: %s dl_num [manual|open|ft|em] [true|false]\n",argv[0]);
      exit(1);
   }

   if ( (qid = msgget(MKEY1, 0)) == -1)
   {
	printf("error in getting message queue id with key %d\n",MKEY1);
	exit(1);
   }
   buf.com_cmd.genericCmd.Command = DL_CMD_SELECT_TARGET;
   buf.gtGenericType = GT_DELAY_LINE;
   buf.iGuiGizmoIndex = atoi(argv[1]);
   
   if (strcasecmp(argv[2],"manual") == 0)
      buf.com_cmd.dlsatCmd.ttWhichTarget =  (TARGET_TYPE)TT_MANUAL;
   else if (strcasecmp(argv[2],"open") == 0)
      buf.com_cmd.dlsatCmd.ttWhichTarget =  (TARGET_TYPE)TT_OPEN_LOOP;
   else if (strcasecmp(argv[2],"ft") == 0)
      buf.com_cmd.dlsatCmd.ttWhichTarget =  (TARGET_TYPE)TT_FT;
   else if (strcasecmp(argv[2],"em") == 0)
      buf.com_cmd.dlsatCmd.ttWhichTarget =  (TARGET_TYPE)TT_EM;
   else
   {
      printf("Please select from [manual|open|ft|em]\n");
      exit(1);
   }

   if (strcasecmp(argv[3],"true") == 0)
      buf.com_cmd.dlsatCmd.bTargetSetActive =  (BOOL)TRUE;
   else if (strcasecmp(argv[3],"false") == 0) 
      buf.com_cmd.dlsatCmd.bTargetSetActive =  (BOOL)FALSE;
   else
   {
      printf("Please select from [true|false]\n");
      exit(1);
   }


   if ( (fp = fopen(FILENAME, "a")) == NULL)
   {
	fprintf(stderr,"error opening file\n");
	exit(1);
   }
   fwrite(&buf, sizeof(buf), 1, fp);
   fclose(fp);
   data.mesg_type = 1L;
   msgrcv(qid, &(data.mesg_type), MAXMESGDATA, data.mesg_type, 0);
   printf("%s", data.mesg_data);
}

