/* $RCSfile: decode.cc,v $ - GUI - decode RICST error code */
/* CM Info:
$Header: /home/chara/cvsroot/ople/sys/gui/decode/decode.cc,v 1.1.1.1 1998/06/11 21:36:32 chara Exp $
*/
/* Kevin Young - Jet Propulsion Laboratory */

/*
modification history
--------------------
01a,2805976,ky   
*/

/*
DESCRIPTION
  RICST error code to text string
*/


#include <stdio.h>
#include <stdlib.h>
#include "errLookup.h"
#include <errno.h>

int main(int argc, char **argv)
{
        char *str;
        int hex;
        char buf[80];
        int dec;

        if (argc < 2)
        {
           printf("Usage: %s error_code(hex)\n",argv[0]); 
           exit(1);
        }
        sscanf(argv[1],"%x",&hex);
        sprintf(buf,"%d",hex);
        dec = atoi(buf);
        str = errLookup( dec );
        printf("%s\n",str);
        free(str);
}

