#ifndef INC_clientTextUtilsh
#define INC_clientTextUtilsh

#ifdef TBD
void getTextForQuicServo(dl_servo_shell_p servoPtr, 
                         TRACK_SERVO_PARAMS& servoCmd);

void setTextForQuicServo(dl_servo_shell_p servoPtr, 
                         TRACK_SERVO_PARAMS& servoParam);

#endif TBD
void setTextForGsuServo(dl_gsu_servo_shell_p servoPtr, 
                         tGuiGsuDlServoParameters& servoParam);

void getTextForGsuServo(dl_gsu_servo_shell_p servoPtr, 
                         tGuiGsuDlServoParameters& servoCmd);

void getTextForSetDither(dl_set_dither_shell_p setDitherPtr,
                         double& dAmplitude, double& dPeriod);

void setTextForSetDither(dl_set_dither_shell_p setDitherPtr,
                         double& dAmplitude, double& dPeriod);


void getTextForModulation( Widget amp_text,
                           Widget freq_text,
                           Widget meanval_text,
                           Widget sync_time_text,
                           double&   dAmplitude,
                           double&   dFrequency,
                           double&   dMeanVal,
                           TIME&     tSyncTime);

void getTextForFtModulation( ft_set_param_shell_p FtPtr,
                             tFtSetServoParametersCmd& FtServoParams);

void setTextForDlModulation( dl_set_modulation_shell_p DlPtr,
                           MOD_TYPE mtModulationType,
                           double   dAmplitude,
                           double   dFrequency,
                           double   dMeanVal,
                           TIME     tSyncTime);

void setTextForFtModulation( ft_set_param_shell_p FtPtr,
                             tFtSetServoParametersCmd& FtServoParams);

void setTextForEmModulation( em_set_param_shell_p EmPtr,
                           MOD_TYPE mtModulationType,
                           double   dAmplitude,
                           double   dFrequency,
                           double   dMeanVal,
                           TIME     tSyncTime);

void getTextForTarget( Widget pos_text,
                       Widget rate_text,
                       Widget time_text,
                       tDlTargetBase& Target);

void setTextForTarget( Widget& pos_text,
                       Widget& rate_text,
                       Widget& time_text,
                       tDlTargetBase Target);

void setTextForTime( Widget& time_text,
                     TIME    tTime);

void getTextForStCalibrate(st_calibrate_shell_p CalibratePtr,
                         tStCalibrateCmd& StCalibrate);

void setTextForStCalibrate(st_calibrate_shell_p CalibratePtr,
                         tStCalibrateCmd& StCalibrate);

void getTextForStSetServo(st_set_servo_shell_p StSetServoPtr,
                         tStSetServoParamsCmd& StServoParams);

void setTextForStSetServo(st_set_servo_shell_p StSetServoPtr,
                         tStSetServoParamsCmd& StServoParams);

#endif INC_clientTextUtilsh

