/* $RCSfile: common.h,v $ - common include for gui and test interface */
/* CM Info:
$Header: /home/chara/cvsroot/ople/sys/gui/include/common.h,v 1.1.1.1 1998/06/11 21:36:32 chara Exp $
*/
/* Kevin Young - Jet Propulsion Laboratory */

/*
modification history
--------------------
01a,10May97,ky       written 
*/

/*
DESCRIPTION
  common Structure defines for both gui and test interface
*/


#ifndef INC_commonh
#define INC_commonh

#define  FILENAME "/tmp/cmd_buf_data"
#define  PERMS    0666

typedef struct data_buf {
   ISIT_CMD 	com_cmd;
   int 		iGuiGizmoIndex;
   GIZMO_TYPE 	gtGenericType;
   VAL 		value;
} Data_buf;

#endif /* INC_commonh */
