/* $RCSfile: winutil.h,v $ -- header include files for winutil */
/*
$Header: /home/chara/cvsroot/ople/sys/gui/include/winutil.h,v 1.1.1.1 1998/06/11 21:36:32 chara Exp $
*/

/* winutil.h - useful routines for assisting in window update */
/*       sccs info       @(#)winutil.h	1.5  06 Jul 1995  */
/*
modification history
--------------------
01b,14Oct93,beh       added support for double-precision numbers
01a,18Aug93,beh       adapted from statUpdate.c
*/

/*
DESCRIPTION
Contains routines that do useful work in the conversion of data from internal
representations into the forms needed for display in windows.
*/

#ifndef INC_winutilh
#define INC_winutilh

#ifdef __cplusplus
extern "C" {
#endif

void formatIntWithCommas(int num, int fieldwidth, char *sText, char *sPrefix);
void formatDblWithCommas(double num, int fieldwidth, int decplaces,
                         char *sText, char *sPrefix);
void formatTimeToSec(unsigned long iTime, unsigned long iTicksPerSecond,
                     char *sText, char *sPrefix);
void formatTimeToHMS(unsigned long iTime, unsigned long iTicksPerSecond,
                     char *sText, char *sPrefix);

#ifdef __cplusplus
}
#endif



#endif  /* INC_winutilh */
