#ifndef XV 
#define WHERE extern
#else
#define WHERE 
#endif

#include <Xm/Xm.h>

#define MAX_COLORS 2
#define MAX_PLANES 1
#define MAX_CELLS 4       /* MAX_COLORS * 2 ^ MAX_PLANES */
#define CANNOT_OVERLAY 0
#define CAN_OVERLAY 1


void NewPicGetColors(Display *display);
int setPixmapImage(unsigned char *img, int h, int w, Pixmap *thePixmap, 
                   Widget draw_area, Boolean do_copy);

typedef unsigned char byte;

typedef struct thing {
  byte r,g,b, n;          /* actual value of color + alignment */
  int oldindex;           /* its index in the old colormap */
  int use;                /* # of pixels of this color */
  int mindist;            /* min distance to a selected color */
} CMAPENT;


/* X stuff */
WHERE Display       *theDisp;
WHERE int           theScreen;
WHERE GC            theGC;
WHERE unsigned int  ncells, dispWIDE, dispHIGH, dispDEEP;
WHERE Colormap      theCmap;
WHERE Visual        *theVisual;


/* XV global vars */
WHERE byte          *pic;                   /* ptr to loaded picture */
WHERE XImage        *ximage;                /* XImage ptr    */
WHERE int            pWIDE,pHIGH;           /* size of 'pic' */
WHERE byte           rMap[256],gMap[256],bMap[256];  /* colormap */
WHERE byte           rdisp[256],gdisp[256],bdisp[256];  /* DISPLAYED colors */
WHERE byte           colAllocOrder[256];   /* order to allocate cols */
WHERE unsigned long  freecols[256]; /* list of pixel values to free */
WHERE int            nfcols;       /* number of colors to free */
WHERE unsigned long  cols[256];    /* maps pic pixel values to X pixel vals */
WHERE int            fc2pcol[256]; /* maps freecols into pic pixel values */
WHERE int            numcols;      /* # of desired colors in picture */
WHERE int            ncols;        /* max # of (different) colors to alloc */
WHERE unsigned long  black, white, fg, bg, infofg, infobg;

WHERE unsigned long overlay_pixel_1;
WHERE unsigned long overlay_plane_mask;
WHERE int can_overlay;
WHERE GC overlay_gc, clear_gc;
