/* $RCSfile: dlControllerSet.h,v $ */
/* CM Info:
$Header: /home/chara/cvsroot/ople/sys/include/dl/dlControllerSet.h,v 1.1.1.1 1998/06/11 21:36:15 chara Exp $
*/
/* Richard Johnson - Jet Propulsion Laboratory */

/*$Log: dlControllerSet.h,v $
 *Revision 1.1.1.1  1998/06/11 21:36:15  chara
 *First import of RICST Code
 *
 *Revision 1.1.2.1  1998/04/30 20:36:02  rbrill
 *commit before build_5a_008
 *
 *Revision 1.1  1998/03/11 00:59:31  rich
 *dl and gsuDl overhaul
 **/

#ifndef INC_dlControllerSeth
#define INC_dlControllerSeth

#include "dlControllerData.h"

/*****
[[D tDlCompleteControllerSet::tDlCompleteControllerSet (void) ]
[ invalid_pointer (this) => UNDEFINED
| true => *this := anything 
]]


[[D tDlCompleteControllerSet::OffControllerGroup (void) ]
[ invalid_pointer (this) => UNDEFINED
| true => return := reference to appropriate tControllerGroup
]]

[[D tDlCompleteControllerSet::FrontControllerGroup (void) ]
[ invalid_pointer (this) => UNDEFINED
| true => return := reference to appropriate tControllerGroup
]]

[[D tDlCompleteControllerSet::BackControllerGroup (void) ]
[ invalid_pointer (this) => UNDEFINED
| true => return := reference to appropriate tControllerGroup
]]

[[D tDlCompleteControllerSet::FrontCreepControllerGroup (void) ]
[ invalid_pointer (this) => UNDEFINED
| true => return := reference to appropriate tControllerGroup
]]

[[D tDlCompleteControllerSet::BackCreepControllerGroup (void) ]
[ invalid_pointer (this) => UNDEFINED
| true => return := reference to appropriate tControllerGroup
]]

[[D tDlCompleteControllerSet::TrackControllerGroup (void) ]
[ invalid_pointer (this) => UNDEFINED
| true => return := reference to appropriate tControllerGroup
]]

[[D tDlCompleteControllerSet::User1ControllerGroup (void) ]
[ invalid_pointer (this) => UNDEFINED
| true => return := reference to appropriate tControllerGroup
]]

[[D tDlCompleteControllerSet::User2ControllerGroup (void) ]
[ invalid_pointer (this) => UNDEFINED
| true => return := reference to appropriate tControllerGroup
]]

*************/

class tDlCompleteControllerSet {
  public:
  
    virtual tControllerGroup& OffControllerGroup (void) = 0;
    virtual tControllerGroup& FrontControllerGroup (void) = 0;
    virtual tControllerGroup& BackControllerGroup (void) = 0;
    virtual tControllerGroup& FrontCreepControllerGroup (void) = 0;
    virtual tControllerGroup& BackCreepControllerGroup (void) = 0;
    virtual tControllerGroup& TrackControllerGroup (void) = 0;
    virtual tControllerGroup& User1ControllerGroup (void) = 0;
    virtual tControllerGroup& User2ControllerGroup (void) = 0;
};


#endif INC_dlControllerSeth