
#ifndef INC_ppcFpExceptionsh
#define INC_ppcFpExceptionsh

void DisableFpExceptionHandler ();

void DisableFpInvalid ();
void DisableFpOverflow ();
void DisableFpUnderflow ();
void DisableFpDivideByZero ();
void DisableFpInexact ();
void DisableFpNonIEEE ();
void DisableFpExceptions ();

void EnableFpInvalid ();
void EnableFpOverflow ();
void EnableFpUnderflow ();
void EnableFpDivideByZero ();
void EnableFpInexact ();
void EnableFpNonIEEE ();
void EnableFpExceptions ();


// Floating point rounding modes
enum VX_FP_ROUND_MODE {FP_RND_NEAR = 0, FP_RND_ZERO = 1, FP_RND_INF = 2, FP_RND_NEG_INF = 3 };

void SetFpRoundMode (VX_FP_ROUND_MODE Mode);

#endif INC_ppcFpExceptionsh
