/* $RCSfile: stCommands.h,v $ */
/* CM Info:   
$Header: /home/chara/cvsroot/ople/sys/include/stCommands.h,v 1.1.1.1 1998/06/11 21:36:14 chara Exp $
*/
/* Richard Johnson - Jet Propulsion Laboratory */
 
/*
modification history
--------------------
01b  22Sep97,eamck  taken over
01a  27Apr97,rlj    written
*/

#ifndef INC_stCommandsh
#define INC_stCommandsh

#include "stTypes.h"

class tStPingCmd : public tIsitCmd {};
class tStOffCmd : public tIsitCmd {};
class tStTrackCmd : public tIsitCmd {};
class tStHomeCmd : public tIsitCmd {};
class tStCalibrateCmd : public tIsitCmd {
   public:
      double CalFrequency;		//Calibration dither frequency (Hz)
      double CalAmplitude;		//Calibration dither amplitude (V)
      int CalActuator;		        //Actuator to dither (1,2,3)
};

class tStSetServoParamsCmd : public tIsitCmd {
   public:
      tStServoParams Params;
};

#endif INC_ftCommandsh
