/* $RCSfile: wapError.h,v $ */
/* CM Info: $Header: /home/chara/cvsroot/ople/sys/include/wapError.h,v 1.1.1.1 1998/06/11 21:36:15 chara Exp $
*/
/* Russ Brill - Jet Propulsion Laboratory */


#ifndef INC_wapErrorh
#define INC_wapErrorh




//Errors

#define S_wapgizmo_COULD_NOT_CREATE_COMMAND_ENGINE      (M_wapgizmo | 0x01)
#define S_wapgizmo_UNRECOGNIZED_COMMAND                 (M_wapgizmo | 0x02)
#define S_wapgizmo_UNABLE_TO_SEND_STATUS                (M_wapgizmo | 0x03)
#define S_wapgizmo_GIZMO_INFO_NOT_WAP                   (M_wapgizmo | 0x04)
#define S_wapgizmo_INVALID_NUMBER_OF_SERVO_MODES        (M_wapgizmo | 0x05)
#define S_wapgizmo_INVALID_NUMBER_OF_SERVO_PARTITIONS   (M_wapgizmo | 0x06)
#define S_wapgizmo_CANT_CONSTRUCT_IO_OR_CTLR_SET        (M_wapgizmo | 0x07)
#define S_wapgizmo_ERROR_UPDATING_STAR_SENSOR           (M_wapgizmo | 0x08)
#define S_wapgizmo_TRANSFORM_UNDEFINED                  (M_wapgizmo | 0x09)
#define S_wapgizmo_TASK_DELAY_FAILED                    (M_wapgizmo | 0x0a)
#define S_wapgizmo_DIVIDE_BY_ZERO                       (M_wapgizmo | 0x0b)


//TraceMarks
#define S_wapgizmo_ENTERING_WAP_GIZMO_CONSTRUCTOR       (M_wapgizmo | 0x1001)
#define S_wapgizmo_ASSIGNING_CTLR_GROUPS_TO_MODES       (M_wapgizmo | 0x1002)
#define S_wapgizmo_ASSIGNING_CTLRS_TO_PARTITIONS        (M_wapgizmo | 0x1003)
#define S_wapgizmo_ENABLING_BASE_CLASS_TASKS            (M_wapgizmo | 0x1004)
#define S_wapgizmo_LEAVING_WAP_GIZMO_CONSTRUCTOR        (M_wapgizmo | 0x1005)
#define S_wapgizmo_WAP_GIZMO_DESTRUCTOR                 (M_wapgizmo | 0x1006)
#define S_wapgizmo_RESTART                              (M_wapgizmo | 0x1007)
#define S_wapgizmo_SHUTDOWN                             (M_wapgizmo | 0x1008)
#define S_wapgizmo_ENTERING_COLLECTSTATUS               (M_wapgizmo | 0x1009)
#define S_wapgizmo_GETTING_IMAGE_STATUS                 (M_wapgizmo | 0x100a)
#define S_wapgizmo_SENDING_STATUS_BLOCK                 (M_wapgizmo | 0x100b)
#define S_wapgizmo_SENDING_STATUS_IMAGE                 (M_wapgizmo | 0x100c)
#define S_wapgizmo_LEAVING_COLLECTSTATUS                (M_wapgizmo | 0x100d)
#define S_wapgizmo_ENTERING_DISPATCH                    (M_wapgizmo | 0x100e)
#define S_wapgizmo_LEAVING_DISPATCH                     (M_wapgizmo | 0x100f)
#define S_wapgizmo_PING                                 (M_wapgizmo | 0x1010)
#define S_wapgizmo_ENTERING_OFF_METHOD                  (M_wapgizmo | 0x1011)
#define S_wapgizmo_LEAVING_OFF_METHOD                   (M_wapgizmo | 0x1012)
#define S_wapgizmo_ENTERING_TRACK_METHOD                (M_wapgizmo | 0x1013)
#define S_wapgizmo_LEAVING_TRACK_METHOD                 (M_wapgizmo | 0x1014)
#define S_wapgizmo_WAP_COMPLETE_IO_SET_CONSTRUCTOR       (M_wapgizmo | 0x1015)
#define S_wapgizmo_WAP_COMPLETE_IO_SET_DESTRUCTOR        (M_wapgizmo | 0x1016)
#define S_wapgizmo_ENTERING_WAP_GIZMOINFO_CONSTRUCTOR    (M_wapgizmo | 0x1017)
#define S_wapgizmo_LEAVING_WAP_GIZMOINFO_CONSTRUCTOR     (M_wapgizmo | 0x1018)
#define S_wapgizmo_STAR_SENSOR_CONSTRUCTOR              (M_wapgizmo | 0x1019)
#define S_wapgizmo_STAR_SENSOR_UPDATE                   (M_wapgizmo | 0x101a)
#define S_wapgizmo_WAP_CONTROLLER_DATA_CONSTRUCTOR       (M_wapgizmo | 0x101b)
#define S_wapgizmo_WAP_CONTROLLER_CONSTRUCTOR            (M_wapgizmo | 0x101c)
#define S_wapgizmo_WAP_CONTROLLER_DESTRUCTOR             (M_wapgizmo | 0x101d)
#define S_wapgizmo_WAP_OFF_CONTROLLER_CONSTRUCTOR        (M_wapgizmo | 0x101e)
#define S_wapgizmo_ENTERING_WAP_OFF_CONTROLLER_INIT      (M_wapgizmo | 0x101f)
#define S_wapgizmo_LEAVING_WAP_OFF_CONTROLLER_INIT       (M_wapgizmo | 0x1020)
#define S_wapgizmo_WAP_TRACK_CONTROLLER_CONSTRUCTOR      (M_wapgizmo | 0x1021)
#define S_wapgizmo_WAP_TRACK_CONTROLLER_DESTRUCTOR       (M_wapgizmo | 0x1022)
#define S_wapgizmo_ENTERING_WAP_TRACK_CONTROLLER_CALCULATE (M_wapgizmo | 0x1023)
#define S_wapgizmo_UPDATE_STAR_SENSOR                   (M_wapgizmo | 0x1024)
#define S_wapgizmo_CALCULATE_CENTROID                   (M_wapgizmo | 0x1025)
#define S_wapgizmo_UPDATE_CONTROLLER_DATA_BLOCK         (M_wapgizmo | 0x1026)
#define S_wapgizmo_LEAVING_WAP_TRACK_CONTROLLER_CALCULATE (M_wapgizmo | 0x1027)
#define S_wapgizmo_ENTERING_CALCULATE_CENTROID          (M_wapgizmo | 0x1028)
#define S_wapgizmo_LEAVING_CALCULATE_CENTROID           (M_wapgizmo | 0x1029)
#define S_wapgizmo_WAP_COMPLETE_CONTROLLER_SET_CONSTRUCTOR (M_wapgizmo | 0x102a)

#define S_wapgizmo_ENTERING_CALIBRATE_METHOD              (M_wapgizmo | 0x102b)
#define S_wapgizmo_LEAVING_CALIBRATE_METHOD               (M_wapgizmo | 0x102c)
#define S_wapgizmo_ENTERING_HOME_METHOD                   (M_wapgizmo | 0x102d)
#define S_wapgizmo_LEAVING_HOME_METHOD                    (M_wapgizmo | 0x102e)
#define S_wapgizmo_ENTERING_SSP_METHOD                    (M_wapgizmo | 0x102f)
#define S_wapgizmo_LEAVING_SSP_METHOD                     (M_wapgizmo | 0x1030)
#define S_wapgizmo_ENTERING_WAP_CONTROLLER_CALCULATE       (M_wapgizmo | 0x1031)
#define S_wapgizmo_LEAVING_WAP_CONTROLLER_CALCULATE        (M_wapgizmo | 0x1032)
#define S_wapgizmo_WAP_COMPLETE_CONTROLLER_SET_DESTRUCTOR  (M_wapgizmo | 0x1033)
#define S_wapgizmo_ENTERING_SLEW_METHOD                    (M_wapgizmo | 0x1034)
#define S_wapgizmo_LEAVING_SLEW_METHOD                     (M_wapgizmo | 0x1035)
#define S_wapgizmo_ENTERING_MOVE_METHOD                    (M_wapgizmo | 0x1036)
#define S_wapgizmo_LEAVING_MOVE_METHOD                     (M_wapgizmo | 0x1037)
#define S_wapgizmo_WAP_CONTROLLER_RESET                    (M_wapgizmo | 0x1038)

//Messages

#define S_wapgizmo_WAP_ALIVE             (M_wapgizmo | 0x2001)
#define S_wapgizmo_SETTING_SERVO_PARAMETERS       (M_wapgizmo | 0x2002)
#define S_wapgizmo_SERVO_PARAMETERS_SET           (M_wapgizmo | 0x2003)
#define S_wapgizmo_SLEW_START                     (M_wapgizmo | 0x2004)
#define S_wapgizmo_SLEW_COMPLETE                  (M_wapgizmo | 0x2005)
#define S_wapgizmo_OFF_COMPLETE                   (M_wapgizmo | 0x2006)
#define S_wapgizmo_TRACK_START                    (M_wapgizmo | 0x2007)
#define S_wapgizmo_TRACK_IN_PROGRESS              (M_wapgizmo | 0x2008)
#define S_wapgizmo_TRACK_ABORTED                  (M_wapgizmo | 0x2009)
#define S_wapgizmo_CALIBRATE_IN_PROGRESS          (M_wapgizmo | 0x200a)




#endif INC_stErrorh
