/* $RCSfile: extIntP.h,v $ - External Interface routines -  */
/* CM Info:
$Header: /home/chara/cvsroot/ople/sys/inst/include/extIntP.h,v 1.1.1.1 1998/06/11 21:36:36 chara Exp $
*/
/* Kevin Young - Jet Propulsion Laboratory */

/*
modification history
--------------------
01a,14Aug97,ky       Initial creation
*/

/*
DESCRIPTION
  External Interface header
*/

/****************************************************************************

[[D tExternalInterface::EstablishConnection(void) ]
[ invalid_pointer (this) => UNDEFINED
| Unable to create socket ||
  Unable to bind a name to  socket ||
  Unable to listen for connection =>
    return := ERROR
| true =>
    this->iPortUsed = appropriate port number
    : return := appropriate socket file descriptor
]]


[[D tExternalInterface::WaitForConnection(void) ]
[ invalid_pointer (this) => UNDEFINED
| Unable to accept connection =>
    return := ERROR
| Unable to create tConnection object =>
    console := console + appropriate messages
| true =>
    lClientset := lClientSet + {1 tConnection node}
    : this->iNumofConnection := this->iNumofConnection + 1
]]

******************************************************************************/
