/* $RCSfile: tokenPrivate.h,v $ */
/*$Header: /home/chara/cvsroot/ople/sys/ipc/include/tokenPrivate.h,v 1.1.1.1 1998/06/11 21:36:38 chara Exp $*/

/* Richard Johnson - Jet Propulsion Laboratory */

#ifndef INC_tokenPrivateh
#define INC_tokenPrivateh


/********

[[D tTokenServer::CheckRequest (void) ]
[ invalid_pointer (this) ||
  this->vtfTokenArray is invalid ||
  this->iCurrentClient >= this->iNumClients ||
  this->iCurrentClient < 0 => UNDEFINED
| true => return := (this->vtfTokenArray[this->iCurrentClient] == TF_REQUEST ) 
]]


[[D tTokenServer::GrantRequest (void) ]
[ invalid_pointer (this) ||
  this->vtfTokenArray is invalid ||
  this->iCurrentClient >= this->iNumClients ||
  this->iCurrentClient < 0 => UNDEFINED
| true => 
    this->vtfTokenArray[this->iCurrentClient] := TF_GRANTED
    : this->bOwnToken := FALSE
]]

[[D tTokenServer::CheckReturn (void) ]
[ invalid_pointer (this) ||
  this->vtfTokenArray is invalid ||
  this->iCurrentClient >= this->iNumClients ||
  this->iCurrentClient < 0 => UNDEFINED
| true => return := (this->vtfTokenArray[this->iCurrentClient] == TF_RETURN)
]]

[[D tTokenServer::AcceptReturn (void) ]
[ invalid_pointer (this) ||
  this->vtfTokenArray is invalid ||
  this->iCurrentClient >= this->iNumClients ||
  this->iCurrentClient < 0 => UNDEFINED
| true => 
    this->vtfTokenArray[this->iCurrentClient] := TF_IDLE
    : this->bOwnToken := TRUE
]]

[[D tTokenServer::Steal (void) ]
[ invalid_pointer (this) ||
  this->vtfTokenArray is invalid ||
  this->iCurrentClient >= this->iNumClients ||
  this->iCurrentClient < 0 => UNDEFINED
| true => 
    this->vtfTokenArray[this->iCurrentClient] == TF_IDLE
    : this->bOwnToken := TRUE
    : appropriate error printed on console
]]

[[D tTokenServer::NextClient (void) ]
[ invalid_pointer (this) ||
  this->iCurrentClient >= this->iNumClients ||
  this->iCurrentClient < 0 => UNDEFINED
| this->iCurrentClient == this->iNumClients-1 =>
    this->iCurrentClient := 0
| true => this->iCurrentClient := this->iCurrentClient + 1
]]

*************/

#endif