/* $RCSfile: ipcMem.cc,v $  */
/* $Header: /home/chara/cvsroot/ople/sys/ipc/memory/ipcMem.cc,v 1.1.1.1 1998/06/11 21:36:38 chara Exp $ */

/*
modification history
--------------------
01a,2Jun97,rlj    written
*/


#include "ipcMemPrivate.h"
#include "ipcMem.h"
#include "ipcError.h"

/****************************************
Representation Mapping

Black Box

tMemory


***********/
    
/****
[[U tMemory::tMemory (void) ]]
****/
tMemory::tMemory () {
  this->SetInit(TRUE);
}

/****
[[U tMemory::~tMemory (void) ]]
****/
tMemory::~tMemory () {

  /****
  [[U tBaseObject::IsInit(void) ]]
  ****/
  if (tBaseObject::IsInit())  {
    TraceMsg (tmt_WARN,S_ipc_SHUTTING_DOWN_MEMORY,"tMemory::~tMemory()");
   
    /****
    [[U tMemory::Shutdown(void) ]]
    ****/
    this->Shutdown();
   }

}
    
    
/****
[[U tMemory::Restart (void) ]]
****/
ERROR_CODE tMemory::Restart () {

  /****
  [[U tBaseObject::IsInit(void) ]]
  ****/
  if (this->IsInit()) 
    TraceMsg (tmt_WARN,S_ipc_MEMORY_ALREADY_INITIALIZED,"tMemory::Restart()");

  /****
  [[U tBaseObject::Restart(void) ]]
  ****/           
  else tBaseObject::Restart();
  return OK;
}
 
    
/****
[[U tMemory::Shutdown (void) ]]
****/
ERROR_CODE tMemory::Shutdown () {

  /****
  [[U tBaseObject::IsInit(void) ]]
  ****/
  if (!this->IsInit()) TraceMsg (tmt_WARN,S_ipc_MEMORY_ALREADY_SHUTDOWN,
          "tMemory::Shutdown()");

  /****
  [[U tBaseObject::Shutdown(void) ]]
  ****/           
  else tBaseObject::Shutdown();
  return OK;
}
   
    
 


 

