/* $RCSfile: typeTag.cc,v $ */
/* CM Info:
$Header: /home/chara/cvsroot/ople/sys/ipc/stream/typeTag.cc,v 1.1.1.1 1998/06/11 21:36:38 chara Exp $
*/
/* Richard Johnson - Jet Propulsion Laboratory */
 
/*
modification history
--------------------
04a,rlj,Sept2,97    writen

*/


#include "iostream.h"
#include "typeTag.h"


ostream &operator<< (ostream& stream,const STREAM_TYPE &stType) {

  switch (stType) {
    case ST_ERROR : stream << "ERROR";break;
    case ST_COMMAND : stream << "COMMAND";break;
    case ST_DATA : stream << "DATA";break;
    case ST_STATUS : stream << "STATUS";break;
    default : stream << "UNKNOWN";break;
  }
  
  return stream;
}

ostream &operator<< (ostream& stream,const TAG_NAME &tnName) {

  switch (tnName) {
    case TN_EM_STATUS : stream << "TN_EM_STATUS";break;
    default : stream << "UNKNOWN";break;
  }
  
  return stream;
}

ostream &operator<< (ostream& stream,const tTypeTag &TypeTag) {

  stream << "StreamType = " << TypeTag.stType << endl <<
          "TagName = " << TypeTag.tnName << endl <<
          "GizmoId = " << TypeTag.iGizmoId << endl <<
          "Block Size = " << TypeTag.szBlockSize << endl;
  return stream;
}
