/* adcConfig.h - configuration information for adcLib.c */
/* sccs info:	@(#)adcConfig.h	1.1	11/4/93 */

/*
modification history
--------------------
01b,29jul91,mmc  deleted init proc num
01a,18Sep90,arg  created from parts of adcLib.h
*/

/*
DESCRIPTION
Configuration information for adcLib.c.
*/

#ifndef INC_adcConfigh
#define INC_adcConfigh

#define ADC_BOARDS 1			/* number of MPV906 boards in cage */
#define ADC_CHANNELS_PER_BOARD 32	/* number of channels on a board */
#define ADC_CHANNELS ADC_BOARDS*ADC_CHANNELS_PER_BOARD
			/* total number of channels available in the cage */

const WORD *adcBases[ADC_BOARDS] = {(WORD *) 0xFF5600 };
/* const WORD *adcBases[ADC_BOARDS] = {(WORD *) 0xE80000 }; */
			/* constant array of the board offsets */


#endif  /* INC_adcConfigh */
