#include <vxWorks.h>
#include <vme.h>
#include <taskLib.h>
#ifdef VW_502
#include <vxProto.h>
#endif
#include <stdio.h>
/*#include <iv68k.h>*/

typedef VOID BLOCKFUNC(short *address, short value);
typedef BLOCKFUNC *PBLOCKFUNC;

VOID rlaser1(short *lasaddr);
VOID rlaser(short *lasaddr);
VOID wlaser(short *lasaddr, short value);
VOID fill(short *startaddress, short blocksize, short value);
VOID ramp(short *startaddress, short blocksize, short value);
VOID ramTest(short *startaddress, short blocksize);
VOID blockTest(short *startaddress, short blocksize, PBLOCKFUNC test, short value);
VOID putValue(short *address, short value);
VOID checkValue(short *address, short value);


VOID rlaser1(short *lasaddr)
{
  short dummy;
  dummy=*lasaddr;
  printf("Register: %x\n", dummy);
}

VOID rlaser(short *lasaddr)
{
        short dummy;

	for(;;){
	  dummy=*lasaddr;
	  printf("Register: %x\n", dummy);
	  /*printf(".");*/
          taskDelay(1);
	}
}

VOID wlaser(short *lasaddr, short value)
{
	for(;;){
		*lasaddr = value;
	}
}

VOID fill(short *startaddress, short blocksize, short value)
{
    short *address;
    for(address=startaddress;address<(startaddress+blocksize);address++){
      *address=value;
    }
}

VOID ramp(short *startaddress, short blocksize, short startvalue)
{
    short *address;
    for(address=startaddress;address<(startaddress+blocksize);address++){
      *address=startvalue++;
    }
}


VOID ramTest(short *startaddress, short blocksize)
{
blockTest(startaddress, blocksize, putValue, 0);
blockTest(startaddress, blocksize, checkValue, 0);
blockTest(startaddress, blocksize, putValue, -1);
blockTest(startaddress, blocksize, checkValue, -1);
blockTest(startaddress, blocksize, putValue, 0xa5a5);
blockTest(startaddress, blocksize, checkValue, 0xa5a5);
blockTest(startaddress, blocksize, putValue, 0x5a5a);
blockTest(startaddress, blocksize, checkValue, 0x5a5a);
}

VOID blockTest(short *startaddress, short blocksize, PBLOCKFUNC test, short value)
{
  short *address;
  for(address=startaddress;(char *)address<((char *)startaddress)+blocksize;address++){
    (*test) (address, value);
  }
}

VOID putValue(short *address, short value)
{
  *address=value;
}

VOID checkValue(short *address, short value)
{
  short readvalue;
  readvalue=*address;
  if (readvalue!=value){
    printf("ERROR!  Address 0x%x: Wrote 0x%x, Read 0x%x, XOR 0x%x\n",
           (int)address,value,readvalue,value^readvalue);
  }
}



