/* dt1401Lib.h - configuration information for the dt1401 i/o card */
/*		sccs info:	@(#)dt1401Config.h	1.1  11/1/93  */

/*
 modification history
 -------------------- 
 01a,05Jan90,beh	written	
*/

/*
 DESCRIPTION This module contains constants that specify the interface to the data
 translation dt1401 analog/digital i/o card.
*/

#define DT1401_ADRS	0x7f00	        /* board address */
#define DT1401_AM	VME_AM_SUP_SHORT_IO	/* address space (in vme.h) */
#define DT1401_INT	4		/* interrupt level */
#define DT1401_VECTOR	0xC0		/* interrupt vector (0-255) */
